org.apache.tinkerpop.gremlin.process.traversal.step.branch

## Class OptionalTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.OptionalTest

- Direct Known Subclasses:
    OptionalTest.Traversals

      public abstract class OptionalTest
      extends AbstractGremlinProcessTest

  Author:
    Pieter Martin

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OptionalTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptionalTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_hasLabelXpersonX_optionalXoutXknowsX_optionalXoutXcreatedXXX_path()`
    `void` | `g_V_optionalXout_optionalXoutXX_path()`
    `void` | `g_VX1X_optionalXaddVXdogXX_label()`
    `void` | `g_VX2X_optionalXinXknowsXX()`
    `void` | `g_VX2X_optionalXoutXknowsXX()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_hasLabelXpersonX_optionalXoutXknowsX_optionalXoutXcreatedXXX_path()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_optionalXout_optionalXoutXX_path()`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_optionalXaddVXdogXX_label(Object v1Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX2X_optionalXinXknowsXX(Object v2Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX2X_optionalXoutXknowsXX(Object v2Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OptionalTest

          public OptionalTest()

  - ### Method Detail

    - #### get_g_VX2X_optionalXoutXknowsXX

          public abstract Traversal<Vertex,Vertex> get_g_VX2X_optionalXoutXknowsXX(Object v2Id)

    - #### get_g_VX2X_optionalXinXknowsXX

          public abstract Traversal<Vertex,Vertex> get_g_VX2X_optionalXinXknowsXX(Object v2Id)

    - #### get_g_V_hasLabelXpersonX_optionalXoutXknowsX_optionalXoutXcreatedXXX_path

          public abstract Traversal<Vertex,Path> get_g_V_hasLabelXpersonX_optionalXoutXknowsX_optionalXoutXcreatedXXX_path()

    - #### get_g_V_optionalXout_optionalXoutXX_path

          public abstract Traversal<Vertex,Path> get_g_V_optionalXout_optionalXoutXX_path()

    - #### get_g_VX1X_optionalXaddVXdogXX_label

          public abstract Traversal<Vertex,String> get_g_VX1X_optionalXaddVXdogXX_label(Object v1Id)

    - #### g_VX2X_optionalXoutXknowsXX

          public void g_VX2X_optionalXoutXknowsXX()

    - #### g_VX2X_optionalXinXknowsXX

          public void g_VX2X_optionalXinXknowsXX()

    - #### g_V_hasLabelXpersonX_optionalXoutXknowsX_optionalXoutXcreatedXXX_path

          public void g_V_hasLabelXpersonX_optionalXoutXknowsX_optionalXoutXcreatedXXX_path()

    - #### g_V_optionalXout_optionalXoutXX_path

          public void g_V_optionalXout_optionalXoutXX_path()

    - #### g_VX1X_optionalXaddVXdogXX_label

          public void g_VX1X_optionalXaddVXdogXX_label()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.